Page MenuHomePhabricator

Shorten the label of "Saved filter settings" in the New filters for edit review
Closed, ResolvedPublic

Description

The current "Saved filter settings" in unnecessary complex:

  • Exposes users to a technical idea such as "settings" that is not meaningful. We should put the focus on the filters, in the same way that we refer to the "active filters" and not "active filter settings".
  • Results in some long translations. French and German screenshots are added below (where it can be compared with the "Active filters" label).
  • Results in some ambiguous translations. In some languages such as Galician the translation seems closer to "Settings of saved filters" than the intended meaning. This is an issue in the translation, but also a symptom of a complex concept to translate.
  • Is confusing about the scope of what is saved, since view options such as the pagination size are not saved, just the filters.

We could label these as "Saved filters".

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 14 2017, 12:59 PM
Catrope claimed this task.Jun 27 2017, 12:00 AM
Catrope added a subscriber: Catrope.

Is confusing about the scope of what is saved, since view options such as the pagination size are not saved, just the filters.

The flip side is that a "filter" is already defined as a single item like "Registered", "Likely good", etc., so what you're saving is already a set of filters, and "saved filters" would be a double plural, it's really saved sets of filters. Then again, I don't think any of us noticed that until Moriel pointed it out, and I doubt users will notice. (Also, it's not just filters, highlights are saved too :) ).

Attaching a patch to change the language.

Change 361604 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@master] RCFilters: Simplify "Saved filter settings" to "Saved filters"

https://gerrit.wikimedia.org/r/361604

Change 361604 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Simplify "Saved filter settings" to "Saved filters"

https://gerrit.wikimedia.org/r/361604

Etonkovidova added a subscriber: Etonkovidova.EditedJul 10 2017, 10:31 PM

Checked in betalabs - the 'Save current filter settings' is still displayed in drop-down box for saving filter option.

In French:

Pginer-WMF updated the task description. (Show Details)EditedJul 11 2017, 8:45 AM

Checked in betalabs - the 'Save current filter settings' is still displayed in drop-down box for saving filter option.

In T169042 there are more details about the dialog. So we can keep the current task open or do the remaining work as part of T169042, as it works best for the developers.
I've added the mockups of the panel to the current one also as a reference.

jmatazzoni closed this task as Resolved.Jul 12 2017, 11:46 PM
jmatazzoni added a subscriber: jmatazzoni.

I'm fine with leaving the dialog instruction as it is, which, as Roan points out, is in some ways more consistent with our overall usage of the word "filter." That some translations may be long is not an issue in this setting.